TwoPartyTradeFlow.SellerTradeInfo
Keywords: net.corda.finance.flows.TwoPartyTradeFlow.SellerTradeInfo class
Date: 2023-09-18

net.corda.finance.flows

## Class TwoPartyTradeFlow.SellerTradeInfo

- net.corda.finance.flows.TwoPartyTradeFlow.SellerTradeInfo

- Enclosing class:
    TwoPartyTradeFlow

      public static class TwoPartyTradeFlow.SellerTradeInfo

  This object is serialised to the network and is the first flow message the seller sends to the buyer.

- - ### Constructor Detail

    - #### SellerTradeInfo

          public SellerTradeInfo(@NotNull
                                 Amount<java.util.Currency> price,
                                 @NotNull
                                 PartyAndCertificate payToIdentity)

      This object is serialised to the network and is the first flow message the seller sends to the buyer.

      Parameters:
        `payToIdentity` - anonymous identity of the seller, for payment to be sent to.

  - ### Method Detail

    - #### getPrice

          @NotNull
          public Amount<java.util.Currency> getPrice()

    - #### getPayToIdentity

          @NotNull
          public PartyAndCertificate getPayToIdentity()

      anonymous identity of the seller,

      for payment to be sent to.

    - #### component1

          @NotNull
          public Amount<java.util.Currency> component1()

    - #### component2

          @NotNull
          public PartyAndCertificate component2()

      anonymous identity of the seller,

      for payment to be sent to.

    - #### copy

          @NotNull
          public net.corda.finance.flows.TwoPartyTradeFlow.SellerTradeInfo copy(@NotNull
                                                                                         Amount<java.util.Currency> price,
                                                                                         @NotNull
                                                                                         PartyAndCertificate payToIdentity)

      This object is serialised to the network and is the first flow message the seller sends to the buyer.

      Parameters:
        `payToIdentity` - anonymous identity of the seller, for payment to be sent to.

    - #### toString

          @NotNull
          public java.lang.String toString()

      This object is serialised to the network and is the first flow message the seller sends to the buyer.

    - #### hashCode

          public int hashCode()

      This object is serialised to the network and is the first flow message the seller sends to the buyer.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      This object is serialised to the network and is the first flow message the seller sends to the buyer.